<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Common\Controllers\EntitiesController;
use App\Http\ApiV1\Modules\Common\Controllers\FailedJobsController;
use App\Http\ApiV1\Modules\Offers\Controllers\OffersController;
use App\Http\ApiV1\Modules\Stocks\Controllers\StocksController;
use Illuminate\Support\Facades\Route;

Route::post('common/entities:sync', [EntitiesController::class, 'sync']);
Route::get('offers/offers/{id}', [OffersController::class, 'get']);
Route::patch('offers/offers/{id}', [OffersController::class, 'patch']);
Route::post('offers/offers:search', [OffersController::class, 'search']);
Route::post('offers/offers:migrate', [OffersController::class, 'migrate']);
Route::get('stocks/stocks/{id}', [StocksController::class, 'get']);
Route::patch('stocks/stocks/{id}', [StocksController::class, 'patch']);
Route::post('stocks/stocks:reserve', [StocksController::class, 'reserve']);
Route::post('stocks/stocks:search', [StocksController::class, 'search']);
Route::post('common/failed-jobs:search', [FailedJobsController::class, 'search']);
